io.vertx.rxjava3.sqlclient

## Class RowIterator<R>

- java.lang.Object
- - io.vertx.rxjava3.sqlclient.RowIterator<R>

- All Implemented Interfaces:
    Iterator<R>

      public class RowIterator<R>
      extends Object
      implements Iterator<R>

  An iterator for processing rows.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RowIterator>` | `__TYPE_ARG`
    `io.vertx.lang.rx.TypeArg<R>` | `__typeArg_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowIterator(Object delegate, io.vertx.lang.rx.TypeArg<R> typeArg_0)`
    `RowIterator(RowIterator delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `RowIterator` | `getDelegate()`
    `int` | `hashCode()`
    `boolean` | `hasNext()`
    `static <R> RowIterator<R>` | `newInstance(RowIterator arg)`
    `static <R> RowIterator<R>` | `newInstance(RowIterator arg, io.vertx.lang.rx.TypeArg<R> __typeArg_R)`
    `R` | `next()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RowIterator> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<R> __typeArg_0

  - ### Constructor Detail

    - #### RowIterator

          public RowIterator(RowIterator delegate)

    - #### RowIterator

          public RowIterator(Object delegate,
                             io.vertx.lang.rx.TypeArg<R> typeArg_0)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RowIterator getDelegate()

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<R>`

    - #### next

          public R next()

      Specified by:
        `next` in interface `Iterator<R>`

    - #### newInstance

          public static <R> RowIterator<R> newInstance(RowIterator arg)

    - #### newInstance

          public static <R> RowIterator<R> newInstance(RowIterator arg,
                                                       io.vertx.lang.rx.TypeArg<R> __typeArg_R)

Copyright © 2024 Eclipse. All rights reserved.